Blog Just another tech site

13Jul/140

Zabbix Proxy Dependencies

zabbix_logo_500x131

I experienced the following issues when trying to configure the zabbix proxy source. These were the packages that needed to be installed for it to compile.

zabbix-2.2.4# ./configure --prefix=/usr --enable-proxy --with-net-snmp --with-mysql --with-ssh2 --enable-ipv6 --with-libcurl --with-libxml2

checking for mysql_config... no
configure: error: MySQL library not found
# apt-get install libmysqlclient-dev

checking for xml2-config... no
configure: error: LIBXML2 library not found
# apt-get install libxml2-dev

configure: error: Not found Net-SNMP library
apt-get install libsnmp-dev
# apt-get install snmp

configure: error: SSH2 library not found
Built from source and installed.
http://www.libssh2.org/ 

E: Unable to locate package curl-dev
# apt-get install libcurl4-openssl-dev

configure: error: Not found Net-SNMP library
# sudo apt-get install libsnmp-dev

 

After these packages were installed it built successfully.

Filed under: Software No Comments